Package org.drinkless.tdlib

# Class TdApi.EmojiReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmojiReaction

Enclosing class:
  `TdApi`

public static class TdApi.EmojiReaction extends TdApi.Object
Contains information about an emoji reaction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Sticker`
  `activateAnimation`
  Activate animation for the reaction.
  `TdApi.Sticker`
  `appearAnimation`
  Appear animation for the reaction.
  `TdApi.Sticker`
  `aroundAnimation`
  Around animation for the reaction; may be null.
  `TdApi.Sticker`
  `centerAnimation`
  Center animation for the reaction; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Sticker`
  `effectAnimation`
  Effect animation for the reaction.
  `String`
  `emoji`
  Text representation of the reaction.
  `boolean`
  `isActive`
  True, if the reaction can be added to new messages and enabled in chats.
  `TdApi.Sticker`
  `selectAnimation`
  Select animation for the reaction.
  `TdApi.Sticker`
  `staticIcon`
  Static icon for the reaction.
  `String`
  `title`
  Reaction title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiReaction()`
  Contains information about an emoji reaction.
  `EmojiReaction(String emoji, String title, boolean isActive, TdApi.Sticker staticIcon, TdApi.Sticker appearAnimation, TdApi.Sticker selectAnimation, TdApi.Sticker activateAnimation, TdApi.Sticker effectAnimation, TdApi.Sticker aroundAnimation, TdApi.Sticker centerAnimation)`
  Contains information about an emoji reaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### emoji

    public String emoji
    Text representation of the reaction.

  - ### title

    public String title
    Reaction title.

  - ### isActive

    public boolean isActive
    True, if the reaction can be added to new messages and enabled in chats.

  - ### staticIcon

    public TdApi.Sticker staticIcon
    Static icon for the reaction.

  - ### appearAnimation

    public TdApi.Sticker appearAnimation
    Appear animation for the reaction.

  - ### selectAnimation

    public TdApi.Sticker selectAnimation
    Select animation for the reaction.

  - ### activateAnimation

    public TdApi.Sticker activateAnimation
    Activate animation for the reaction.

  - ### effectAnimation

    public TdApi.Sticker effectAnimation
    Effect animation for the reaction.

  - ### aroundAnimation

    @Nullable public TdApi.Sticker aroundAnimation
    Around animation for the reaction; may be null.

  - ### centerAnimation

    @Nullable public TdApi.Sticker centerAnimation
    Center animation for the reaction; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmojiReaction

    public EmojiReaction()
    Contains information about an emoji reaction.

  - ### EmojiReaction

    public EmojiReaction(String emoji, String title, boolean isActive, TdApi.Sticker staticIcon, TdApi.Sticker appearAnimation, TdApi.Sticker selectAnimation, TdApi.Sticker activateAnimation, TdApi.Sticker effectAnimation, TdApi.Sticker aroundAnimation, TdApi.Sticker centerAnimation)
    Contains information about an emoji reaction.
    Parameters:
      `emoji` - Text representation of the reaction.
      `title` - Reaction title.
      `isActive` - True, if the reaction can be added to new messages and enabled in chats.
      `staticIcon` - Static icon for the reaction.
      `appearAnimation` - Appear animation for the reaction.
      `selectAnimation` - Select animation for the reaction.
      `activateAnimation` - Activate animation for the reaction.
      `effectAnimation` - Effect animation for the reaction.
      `aroundAnimation` - Around animation for the reaction; may be null.
      `centerAnimation` - Center animation for the reaction; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR